<?php

use Illuminate\Http\Request;

/*
|--------------------------------------------------------------------------
| API Routes
|--------------------------------------------------------------------------
|
| Here is where you can register API routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| is assigned the "api" middleware group. Enjoy building your API!
|
*/

Route::middleware('auth:api')->get('/user', function (Request $request) {
    return $request->user();
});

Route::any('login', 'Api\LoginController@login');

Route::group(['middleware'=> ['CheckJRFIDLogin']],function ($route){
    //站点获取
    $route->any('getSite', 'Api\JRFIDController@getSite');
    //工艺流程单
    $route->any('getFlowByProduce', 'Api\JRFIDController@getFlowByProduce');
    //生产订单
    $route->any('getProduceByContract', 'Api\JRFIDController@getProduceByContract');
});
